Subject: [IANA #772997] Early allocation of User Port for draft-ietf-bfd-seamless-base

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 4 Aug 2014 19:02:05 +0000

Hi Nobo,

No problem. I'll close the ticket. 

Best regards,

Amanda Baber
IANA Request Specialist
ICANN

On Mon Aug 04 14:37:08 2014, [email-masked] wrote:
> Hi Amanda and IANA folks,
> 
> Adrian and myself have exchanged emails on this.
> 
> First of all, please consider this email as an official cancellation
> request of the early allocation request that we made (i.e. please
> close this without doing the early allocation of the port).
> 
> Second, I realize that this premature early allocation request
> resulted in you to spend unnecessary time/effort. I am deeply sorry
> about that.
> 
> Regards,
> Nobo
> 
> > -----Original Message-----
> > From: Nobo Akiya (nobo)
> > Sent: Saturday, August 02, 2014 10:06 AM
> > To: [email-masked]'; [email-masked]; draft-ietf-bfd-
> > [email-masked]
> > Cc: Jeffrey Haas ([email-masked])
> > Subject: RE: [IANA #772997] Early allocation of User Port for draft-
> ietf-bfd-
> > seamless-base
> >
> > Hello Adrian,
> >
> > We are in a pickle, and need your input first.
> >
> > Here's where we are:
> >
> > - There is a consensus to do early allocation of UDP port for S-BFD,
> as
> > implementations are underway.
> > - Port description was originally in draft-ietf-bfd-seamless-base.
> > - WG consensus was that UDP procedures should be described in the
> > companion document: draft-akiya-bfd-seamless-ip.
> > - UDP procedures were moved from draft-ietf-bfd-seamless-base to
> draft-
> > akiya-bfd-seamless-ip (published on August 1st).
> > - Authors of draft-akiya-bfd-seamless-ip will be requesting WG
> adoption
> > poll in a week or two.
> >
> > Given above, it would be beneficial to still continue with early
> IANA
> > allocation of the S-BFD UDP port.
> >
> > However, reference document, technically, is an individual document.
> >
> > I believe we have 3 options.
> > 1) Do early IANA allocation with reference document as draft-ietf-
> bfd-
> > seamless-base (this was the correct document when early IANA
> allocation
> > was originally requested).
> > 2) Do early IANA allocation with reference document as draft-akiya-
> bfd-
> > seamless-ip (correct document, but is an individual document).
> > 3) Wait for early IANA allocation until draft-akiya-bfd-seamless-ip
> is a WG
> > document, but this will delay the allocation by roughly a month.
> >
> > Will it be possible to go with (1) or (2)?
> >
> > If we were to go with (1), then the information will be:
> >
> >      Service Name (REQUIRED)
> >        s-bfd
> >      Transport Protocol(s) (REQUIRED)
> >        udp
> >      Assignee (REQUIRED)
> >        IESG <[email-masked]>
> >      Contact (REQUIRED)
> >        BFD Chairs <[email-masked]>
> >      Description (REQUIRED)
> >        Seamless Bidirectional Forwarding Detection (S-BFD)
> >      Reference (REQUIRED)
> >        draft-ietf-bfd-seamless-base
> >      Port Number (OPTIONAL)
> >        TBD1 (Requesting 7784)
> >
> > If we were to go with (2), then the information will be:
> >
> >      Service Name (REQUIRED)
> >        s-bfd
> >      Transport Protocol(s) (REQUIRED)
> >        udp
> >      Assignee (REQUIRED)
> >        IESG <[email-masked]>
> >      Contact (REQUIRED)
> >        BFD Chairs <[email-masked]>
> >      Description (REQUIRED)
> >        Seamless Bidirectional Forwarding Detection (S-BFD)
> >      Reference (REQUIRED)
> >        draft-akiya-bfd-seamless-ip
> >      Port Number (OPTIONAL)
> >        TBD1 (Requesting 7784)
> >
> > Amanda, thank you for taking our case. Please wait for input by
> Adrian
> > before proceeding.
> >
> > Thanks,
> > Nobo
> >
> > > -----Original Message-----
> > > From: Amanda Baber via RT [mailto:[email-masked]]
> > > Sent: Friday, August 01, 2014 8:56 PM
> > > To: [email-masked]; draft-ietf-bfd-seamless-
> [email-masked]
> > > Subject: [IANA #772997] Early allocation of User Port for
> > > draft-ietf-bfd- seamless-base
> > >
> > > Dear Authors,
> > >
> > > Before we can assign a port number for this document, we need you
> to
> > > supply the registration data required by RFC6335:
> > >
> > > Service Name (REQUIRED)
> > > Transport Protocol(s) (REQUIRED)
> > > Assignee (REQUIRED)
> > > Contact (REQUIRED)
> > > Description (REQUIRED)
> > > Reference (REQUIRED)
> > > Port Number (OPTIONAL)
> > > Service Code (REQUIRED for DCCP only)
> > > Known Unauthorized Uses (OPTIONAL)
> > > Assignment Notes (OPTIONAL)
> > >
> > > Per Section 8.1.1, since this registration is being made on behalf
> of
> > > an IETF- stream document, the Assignee would be the IESG, and the
> > > Contact should be the IETF Chair.
> > >
> > > This data also has to be added to the document's IANA
> Considerations
> > > section, although we can make the assignment before you publish an
> > > update.
> > >
> > > Let us know if you have any questions.
> > >
> > > thanks,
> > >
> > > Amanda Baber
> > > IANA Request Specialist
> > > ICANN
> > >
> > > On Mon Jul 21 19:00:24 2014, [email-masked] wrote:
> > > > Hi,
> > > >
> > > > The authors of draft-ietf-bfd-seamless-base
> > > > (http://www.ietf.org/id/draft-ietf-bfd-seamless-base-01.txt)
> have
> > > > requested early allocation of a User Port from the "Service Name
> and
> > > > Transport Protocol Port Number Registry".
> > > >
> > > > This meets all of the 7120 criteria.
> > > >
> > > > Please invoke the expert review and make the allocation.
> > > >
> > > > Thanks,
> > > > Adrian
> > > >
> > >
> > >
> > >
>